Skip to content

Get all labs

GET
/labs
curl --request GET \
--url https://antimony.example.com/api/labs \
--header 'Authorization: Basic <credentials>'

OK

Media typeapplication/json
object
payload
Array<object>
object
collectionId
string
creator
object
id
string
name
string
endTime
string
id
string
instance
object
deployed
string
isRecovered
boolean
latestStateChange
string
name
string
nodes
Array<object>
object
containerId

ContainerId is the globally unique identifier for the container running the node.

With containerlab as the deployment provider, this is the node’s docker container ID. With clabernetes as the deployment provider, this is the node’s pod UID.

Left empty if the node is currently not running.

string
containerName

ContainerName is the name of the container running the node. Currently unused outside of display purposes.

With containerlab as the deployment provider, this is the node’s docker container name. With clabernetes as the deployment provider, this is equal to the node’s name.

Left empty if the node is currently not running.

string
interfaces

Interfaces are the network interfaces of the node. Fetched after the node’s startup listener succeeded. Left empty if the node is currently not running.

Array<object>
object
address
string
mtu
integer
name
string
state
string
ipv4

IPv4 and IPv6 are the management IP addresses assigned by the deployment backend.

Left empty if the node is currently not running or there is no IPv4 or IPv6 address assigned.

string
ipv6
string
isReady

IsReady is true if the node and its running software (e.g., SRLinux) are fully running and ready to be used. This is initially set to false and set to true once the node’s startup listener succeeded.

boolean
kind

Kind is the type of the node as defined in the topology file.

string
name

Name is the name of the node as defined in the topology file.

string
state

State is the current state of the node.

integer
Allowed values: 0 1 2 3
state
integer
Allowed values: 0 1 2 3 -1 -2
name
string
startTime
string
topologyAnnotations
string
topologyDefinition
string
topologyId
string

Example

{
"payload": [
{
"instance": {
"nodes": [
{
"state": 0
}
],
"state": 0
}
}
]
}

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json